Issue 18525

Summary: WW8: Add paragraph spacing at top of pages isn't exactly equivalent to what word does
Product: Writer Reporter: caolanm
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1 RC3   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Issue Depends on: 18518, 18519, 18687, 18688, 18955    
Issue Blocks:    
Attachments:
Description Flags
Example 1
none
Example 2
none
Example 3
none
Example 4 none

Description caolanm 2003-08-22 13:13:25 UTC
Normal cases:

Do Use HTML autospacing (default)
With an explicit before after spacing value applied in this mode the
spacing added to tops of pages in word works like...
1. Adds spacing to the top of the first page
2. Does not add spacing after an implied page break
3. Does not add spacing after an explicit page break

Don't Use HTML autospacing
With an explicit before after spacing value applied in this mode the
spacing added to tops of pages in word works like...
1. Adds spacing to the top of the first page
2. Does not add spacing after an implied page break
3. Adds spacing after an explicit page break

Special case of "auto" before/after on a paragraph:

Do Use HTML autospacing (default)
With an "auto" before after spacing value applied in this mode the
spacing added to tops of pages in word works like...
1. Does not add spacing to the top of the first page (c.1: special case)
2. Does not add spacing after an implied page break
3. Does not add spacing after an explicit page break
And the auto value equates to 14points

Don't Use HTML autospacing
With an "auto" before after spacing value applied in this mode the
spacing added to tops of pages in word works like...
1. Adds spacing to the top of the first page
2. Does not add spacing after an implied page break
3. Adds spacing after an explicit page break
And the auto value equates to 5points

So I think that spacing is
a) never put at the top of a normal page which exists because of an implied
page break.
b) put at the top of a page after an explicit page break only in "don't use
html autospacing" (add spacing between paragraphs) mode
c) always put at the top of the first page, except for one special case...
c.1) if the spacing happens to be "auto before" and the mode is "do use html
autospacing" and its the top of the first page the value of "auto" is 0
Comment 1 caolanm 2003-08-22 13:15:06 UTC
Created attachment 8661 [details]
Example 1
Comment 2 caolanm 2003-08-22 13:15:25 UTC
Created attachment 8662 [details]
Example 2
Comment 3 caolanm 2003-08-22 13:16:01 UTC
Created attachment 8663 [details]
Example 3
Comment 4 caolanm 2003-08-22 13:16:26 UTC
Created attachment 8664 [details]
Example 4
Comment 5 caolanm 2003-08-22 13:20:19 UTC
cmc->ama: When word allows or doesn't allow spacing at the top of a
page seems a little complex and depends on a compatability option,
what do you think ?

Point c.1 above could be handled in the filter as a special case, and
the different value used for "auto" spaced paragraphs is also possible
i n the filter e.g. issue 18519. But for the rest of it...
Comment 6 andreas.martens 2003-08-22 14:41:45 UTC
I think we have to create at least another compatibility flag. Do you
have a similiar analysis for the paragraph distances in textboxes and
in table cells?
Comment 7 Oliver-Rainer Wittmann 2003-12-01 14:28:11 UTC
Performing some further investigations:

(1) Influence of option "Suppress space before after a hard page or
column break" on the given example documents:
No spacing after an explicit page break, if "Don't use HTML autospacing".
Thus, rule b) has to be adjusted to <put at the top of a page after an
explicit page break only in "don't use html autospacing" (add spacing
between paragraphs) mode and "don't suppress space before after a hard
page or column break">.

(2) Paragraph spacing in table cells:
Space before/after the paragraph is always add, even if the table
starts at the top of a page because of a implicit/explicit page break.
Exception: The amount of "auto" is 0 at the top of the first paragraph
and the bottom of the last paragraph in a table cell, if "Don't use
HTML auto spacing".
Comment 8 andreas.martens 2004-06-17 10:14:52 UTC
Because of a shortage of resources. New Target "OOo Later".
Comment 9 andreas.martens 2009-03-30 07:58:54 UTC
ama->hbrinkm: Yet another open filter issue...
Comment 10 Marcus 2017-05-20 11:19:51 UTC
Reset assigne to the default "issues@openoffice.apache.org".